xPredictCompare | R Documentation

## Function to compare prediction performance results

### Description

`xPredictCompare` is supposed to compare prediction performance results. It returns an object of class "ggplot".

### Usage

    xPredictCompare(list_pPerf, displayBy = c("ROC", "PR"),
    type = c("curve", "bar"), sort = TRUE, detail = TRUE,
    facet = FALSE, font.family = "sans", signature = TRUE)

### Arguments

`list_pPerf` | a list of "pPerf" objects
`displayBy` | which performance will be used for comparison. It can be "ROC" for ROC curve (by default), "PR" for PR curve
`type` | the type of plot to draw. It can be "curve" for curve plot (by default), "bar" for bar plot
`sort` | logical to indicate whether to sort methods according to performance. By default, it sets TRUE
`detail` | logical to indicate whether to label methods along with performance. By default, it sets TRUE
`facet` | logical to indicate whether to facet/wrap a 1d of panels into 2d. By default, it sets FALSE
`font.family` | the font family for texts
`signature` | a logical to indicate whether the signature is assigned to the plot caption. By default, it sets TRUE showing which function is used to draw this graph

### Value

an object of class "ggplot" or NULL (if all input pPerf objects are NULL)

### Note

none

### See Also

`xPredictROCR`

### Examples

    # Load the library
    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    bp <- xPredictCompare(ls_pPerf, displayBy="ROC")
    print(bp)
    ## modify legend position
    bp + theme(legend.position=c(0.75,0.25))

    ## End(Not run)